#include <bits/stdc++.h>

using namespace std;
int brojcifara(int x){
    int k = 10;
    int t = 1;
    while(k < x)
    {
        k*= 10;
        t++;
    }
    return t;
}
int main()
{
    int x, y;
    cin >> x >> y;
    int maksbrojcifara = brojcifara(x) + brojcifara(y);
    int novibroj[maksbrojcifara];
    for(int i = 0; i <maksbrojcifara;i++)
    {
        novibroj[i] = -1;
    }
    for(int i = maksbrojcifara-1; i > -1;i--)
    {
         if(x == 0 && y == 0)
        {
            break;
        }
       
        if(x%10 == y%10 && y%10 != 0)
        {
            novibroj[i] = x%10;
            novibroj[i-1] = x%10;
            i--;
            
        }
        else if(x%10 > y%10)
        {
            
            novibroj[i] = x%10;
        }
        else 
        {
           
            novibroj[i] = y%10;
        }
        
        
        x/= 10;
        y /= 10;
        
    }
    for(int i = 0; i<maksbrojcifara;i++)
    {
        if(novibroj[i] != -1)
        {
            cout << novibroj[i];
        }
    }
    return 0;
}